Neue XAMPP 1.5.3 BETA-Version

Hier gibt es Neues und Ankündigen zu XAMPP.
Dieses Forum ist identisch mit der NEWS-Rubrik der Website. Nur kann hier auch was gesagt werden.

Neue XAMPP 1.5.3 BETA-Version

Postby Oswald » 23. May 2006 10:15

Seit gestern gibt es die neuen Beta-Versionen von XAMPP für Linux und Windows. Neu in dieser Beta sind: PHP 5.1.4, MySQL 5.0.21, Apache 2.2.2, phpMyAdmin 2.8.1 und OpenSSL 0.9.8b. Sofern die Beta-Phase positiv verläuft werden die "finalen" Versionen etwa Mitte nächster Woche erscheinen.

Beta-Versionen sind ausschließlich zum Ausprobieren und Testen da. Wir würden uns allerdings sehr freuen wenn ihr einen kritischen Blick auf diese Version werfen könntet und uns berichtet, ob die Beta bei euch problemlos lief oder sie Probleme gemacht hat.

Zum XAMPP-BETA-Bereich
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

xampp 1.5.3 und DBD:mysql

Postby paulchen09 » 23. May 2006 14:13

Ich benötige dringend den DBD::mysql Treiber für Xampp. Ich habe V1.5.2 im Einsatz, aber da scheint es ja nicht dabei zu sein. Sämtliche Versuche den Treiber nach Installationsanleitungen einzubinden sind gescheitert.
Ist es bei der V1.5.3 dabei? Oder kann mir jemand einen Tipp geben wie ich den Treiben per Hand implementieren kann.
Die Anleitungen, welche ich hier gefunden habe sind sehr alt und wie gesagt funktionieren bei mir nicht.
paulchen09
 
Posts: 2
Joined: 18. May 2006 14:15

Postby Oswald » 23. May 2006 14:22

Hallo Paulchen!

DBD::MySQL ist eigentlich schon länger mit im XAMPP für Linux dabei. In /opt/lampp/htdocs/xampp/contrib/testperldbi.pl findest Du ein kleines Beispielprogramm.

Liebe Grüße
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby yguru » 30. May 2006 15:56

Bei mir hagelt es im Apache-Logfile auch mit der finalen 1.5.3 Version unter Linux jede Menge:
[Tue May 30 12:30:37 2006] [crit] (70023)This function has not been implemented on this platform: DBD: failed to initialise

Abhilfe: Einmal den LoadModule-Eintrag mit dbd* in der httpd.conf raus, und es geht auch ohne Meldung.

Das Modul ist wohl zur Authentifizierung unter Zuhilfenahme von Datenbanken. Ich hab's bisher aber nicht gebraucht.
User avatar
yguru
 
Posts: 32
Joined: 23. March 2005 01:47

Postby CodeManX » 30. May 2006 16:06

wird die version filezilla server 0.9.17 haben?
CodeManX
 
Posts: 8
Joined: 29. May 2006 20:16

Updates von 1.5.2 auf 1.5.3a nicht gefunden

Postby knutwilli » 02. June 2006 04:56

Hallo in die Runde,

wie gelingt mir gefahrlos ein Update von 1.5.2. auf 1.5.3a ohne die Web-Inhalte und die laufenden Foren zu zerschießen ?

Kann bei schlechterer Funktion oder bei Problemen wieder auf die Vorgänger-Version "zurück" upgedated werden ?

Wie mache ich das ?

Gruß aus Berlin
Knutwilli
knutwilli
 
Posts: 21
Joined: 02. June 2006 04:45
Location: Berlin

Re: Updates von 1.5.2 auf 1.5.3a nicht gefunden

Postby deepsurfer » 02. June 2006 11:39

knutwilli wrote:Hallo in die Runde,

wie gelingt mir gefahrlos ein Update von 1.5.2. auf 1.5.3a ohne die Web-Inhalte und die laufenden Foren zu zerschießen ?

Kann bei schlechterer Funktion oder bei Problemen wieder auf die Vorgänger-Version "zurück" upgedated werden ?

Wie mache ich das ?

Gruß aus Berlin
Knutwilli

Vorab auf jedenfall ein Sicherung deines Content durchführen.

Im "normalfall" kannst du das Update von 1.5.2 auf 1.5.3a benutzen ohne irgenwelche bedenken, denn es werden mit diesem Update die besagten Komponenten auf die angekündigte Version aufgewertet.
Zu 99,99% ist kein Bearbeiten der Contentinhalte notwendig, Passwörter und dergleichen werden beibehalten.

ABER, es ist bisher noch kein Update Paket von 1.5.2 auf 1.5.3 für Windows erschienen, nur für die LinuxVersion des XAMPPs

Das einzigste was VIELLEICHT Probleme machen könnte wäre das PHP, da ich nicht weiss ob es zwichen den beiden Versionen segnifikante Änderungen in der Befehlsschematik gibt die ein Ausbessern vorhandener PHPscripte nötig macht.

Ein "Downgrade" von 1.5.3a auf 1.5.2 ist so nicht möglich, ausser halt eine NeuInstallation des 1.5.2.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
XAMPP Version: 5.6.3
Operating System: Win-XP / Win7 / Linux -Debian

dann warte ich wohl besser noch

Postby knutwilli » 03. June 2006 00:15

dann warte ich wohl besser noch, bis mehr Erfahrungsberichte vorliegen
alles gelingt - irgendwann
knutwilli
 
Posts: 21
Joined: 02. June 2006 04:45
Location: Berlin

neue Gedanken zum Problem

Postby knutwilli » 12. June 2006 03:54

alles gelingt - irgendwann
knutwilli
 
Posts: 21
Joined: 02. June 2006 04:45
Location: Berlin


Return to Ankündigungen und Neuigkeiten

Who is online

Users browsing this forum: No registered users and 2 guests